#! /usr/bin/python
# -*- coding=utf-8 -*-

"""
    This file is part of Gnome 3 background slideshow.

    Gnome 3 background slideshow is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Gnome 3 background slideshow is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Gnome 3 background slideshow.  If not, see <http://www.gnu.org/licenses/>.
"""

import os
from gi.repository import Gtk
from informations import *

class AboutDialog(Gtk.AboutDialog):
   def __init__(self):
      Gtk.AboutDialog.__init__(self)
      self.set_program_name(FULL_APP_NAME)
      self.set_name(UNIX_APP_NAME)
      self.set_version(VERSION)
      self.set_license(LICENSE)
      self.set_copyright(COPYRIGHT)
      self.set_authors(AUTHORS)
      self.set_logo_icon_name("background")
      self.set_icon_name("gtk-about")
   def run(self):
      self.show_all()
      Gtk.AboutDialog.run(self)
      self.hide()
